For the complete documentation index, see llms.txt. This page is also available as Markdown.

sendBundle

This RPC method is only available through one of our Staked RPC tiers.

Tier
Rate Limit

Basic Staked

5 bundles/sec

Ultra Staked

10 bundles/sec

Elite Staked

15 bundles/sec

Tip Address

svsMoWJBwLcs8JgfN8VaF111tAc199KpYeTKRwxRtip

sendBundle RPC Method

post
/

Submits a bundle of transactions to the Jito block engine for atomic execution. Bundles provide MEV protection and ensure all transactions in the bundle are executed together or not at all.

Important Requirements:

  • Maximum of 4 transactions per bundle

  • A tip transfer instruction is REQUIRED with minimum 0.001 SOL

  • The tip instruction should be present in the last transaction within the bundle

  • All transactions must be base64 encoded

  • Transactions are executed atomically in the order provided

Authorizations
AuthorizationstringOptional

Authorization header for API key authentication.

Example:

Authorization: your-api-key-here
Body
jsonrpcstring · enumRequired

JSON-RPC protocol version

Example: 2.0Possible values:
idone ofRequired

Request identifier that will be returned in the response

Example: 1
stringOptional
or
numberOptional
methodstring · enumRequired

The RPC method name

Example: sendBundlePossible values:
Responses
200

Successful Response

application/json

RPC response containing signatures of transactions submitted.

jsonrpcstring · enumRequired

JSON-RPC protocol version

Example: 2.0Possible values:
idone ofRequired

Request identifier matching the original request

Example: 1
stringOptional
or
numberOptional
resultone ofOptional

The result can be:

  • A single transaction signature (string)
  • An array of transaction signatures
  • The string "bundle_submitted" if the bundle was accepted but signatures are not immediately available
stringOptional

Single transaction signature or status message

Example: 3x8f9a2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c
or
string[]Optional

Array of transaction signatures

post/
curl -X POST https://basic.swqos.solanavibestation.com/jito \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "sendBundle",
    "params": [
      [
        "AT2AqtlokikUWgGNnSX5xrmdvBjSaiIPxvFz6zc5Abn5Z0CPFW5GO+Y3rXceLnqLgQFnGw0yTk3NtJdFNsbrwwQBAAIEsXPDJ9cMVbpFQYClVM7PGLh8JOfCD6E2vz5VNmBCF+p4Uhyxec67hYm1VqLV7JTSSYaC/fm7KvWtZOSRzEFT2gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABUpTWpkpIQZNJOhxYNo4fHw1td28kruB5B+oQEEFRI1i3Wzl2VfewCI8oYXParnP78725sKFzYheTEn8v865YQIDABhqaXRvIGJ1bmRsZSAwOiBqaXRvIHRlc3QCAgABDAIAAACghgEAAAAAAA==",
        "AS6fOZuGDsmyYdd+RC0fiFUgNe1BYTOYT+1hkRXHAeroC8R60h3g34EPF5Ys8sGzVBMP9MDSTVgy1/SSTqpCtA4BAAIEsXPDJ9cMVbpFQYClVM7PGLh8JOfCD6E2vz5VNmBCF+p4Uhyxec67hYm1VqLV7JTSSYaC/fm7KvWtZOSRzEFT2gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABUpTWpkpIQZNJOhxYNo4fHw1td28kruB5B+oQEEFRI1i3Wzl2VfewCI8oYXParnP78725sKFzYheTEn8v865YQIDABhqaXRvIGJ1bmRsZSAxOiBqaXRvIHRlc3QCAgABDAIAAACghgEAAAAAAA=="
      ],
      {
        "encoding": "base64"
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "3x8f9a2b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c"
}

Last updated